Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.support.model.dlna
Class DLNAProtocolInfo

    java.lang.Object
      org.fourthline.cling.support.model.ProtocolInfo
          org.fourthline.cling.support.model.dlna.DLNAProtocolInfo

    public class DLNAProtocolInfo

extends ProtocolInfo

Encaspulates a MIME type (content format) and transport, protocol, additional information.

Parses DLNA attributes in the additional information.

Author:
  Mario Franco

Field Summary
`protected Map<DLNAAttribute.Type,DLNAAttribute>` | `attributes`

Fields inherited from class org.fourthline.cling.support.model.ProtocolInfo
`additionalInfo, contentFormat, network, protocol, WILDCARD`

Constructor Summary
`DLNAProtocolInfo(DLNAProfiles profile)`
`DLNAProtocolInfo(DLNAProfiles profile, EnumMap<DLNAAttribute.Type,DLNAAttribute> attributes)`
`DLNAProtocolInfo(org.seamless.util.MimeType contentFormatMimeType)`
`DLNAProtocolInfo(ProtocolInfo template)`
`DLNAProtocolInfo(Protocol protocol, String network, String contentFormat, EnumMap<DLNAAttribute.Type,DLNAAttribute> attributes)`
`DLNAProtocolInfo(Protocol protocol, String network, String contentFormat, String additionalInfo)`
`DLNAProtocolInfo(String s)`

Method Summary
`boolean` | `contains(DLNAAttribute.Type type)`
`DLNAAttribute` | `getAttribute(DLNAAttribute.Type type)`
`Map<DLNAAttribute.Type,DLNAAttribute>` | `getAttributes()`
`protected String` | `getAttributesString()`
`protected void` | `parseAdditionalInfo()`

Methods inherited from class org.fourthline.cling.support.model.ProtocolInfo
`equals, getAdditionalInfo, getContentFormat, getContentFormatMimeType, getNetwork, getProtocol, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### attributes

    protected final Map<DLNAAttribute.Type,DLNAAttribute> attributes

Constructor Detail

### DLNAProtocolInfo

    public DLNAProtocolInfo(String s)
                     throws InvalidValueException

Throws:
  `InvalidValueException`

### DLNAProtocolInfo

    public DLNAProtocolInfo(org.seamless.util.MimeType contentFormatMimeType)

### DLNAProtocolInfo

    public DLNAProtocolInfo(DLNAProfiles profile)

### DLNAProtocolInfo

    public DLNAProtocolInfo(DLNAProfiles profile,
                            EnumMap<DLNAAttribute.Type,DLNAAttribute> attributes)

### DLNAProtocolInfo

    public DLNAProtocolInfo(Protocol protocol,
                            String network,
                            String contentFormat,
                            String additionalInfo)

### DLNAProtocolInfo

    public DLNAProtocolInfo(Protocol protocol,
                            String network,
                            String contentFormat,
                            EnumMap<DLNAAttribute.Type,DLNAAttribute> attributes)

### DLNAProtocolInfo

    public DLNAProtocolInfo(ProtocolInfo template)

Method Detail

### contains

    public boolean contains(DLNAAttribute.Type type)

### getAttribute

    public DLNAAttribute getAttribute(DLNAAttribute.Type type)

### getAttributes

    public Map<DLNAAttribute.Type,DLNAAttribute> getAttributes()

### getAttributesString

    protected String getAttributesString()

### parseAdditionalInfo

    protected void parseAdditionalInfo()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.